šŸŒ Astrocartography API, šŸ”· Human Design API and āœ‹ Palmistry API are now live. Ship them in your app today.

Chart Data

Returns a render-ready Human Design chart model with layout hints for building custom UIs: localized center, channel, and gate labels; default rendering layers; and gate ownership details from personality and design points.
POSThttps://json.astrologyapi.com/v1/human-design/chart-data

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

namestring

Name of the person. Optional.

genderstring

Gender of the person.

daynumberrequired

Day of birth (1-31).

monthnumberrequired

Month of birth (1-12).

yearnumberrequired

Year of birth.

hournumberrequired

Hour of birth (0-23).

minnumberrequired

Minute of birth (0-59).

latnumberrequired

Birth latitude (-90 to 90).

lonnumberrequired

Birth longitude (-180 to 180).

tzonenumberrequired

Timezone offset from UTC in hours.

Submit birth details using: name, gender, day, month, year, hour, min, lat, lon, tzone.
curl --location 'https://json.astrologyapi.com/v1/human-design/chart-data' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "name": "Ajeet",
    "gender": "male",
    "day": "15",
    "month": "8",
    "year": "1990",
    "hour": "10",
    "min": "30",
    "lat": "39.9526",
    "lon": "-75.1652",
    "tzone": "-5"
}'
Try it

Runs with sample data — no API key needed

{
  "render_hints": {
    "coordinate_space": "percentage",
    "default_layers": [
      "personality",
      "design"
    ],
    "supports_layers": [
      "personality",
      "design",
      "transit"
    ]
  },
  "centers": [
    {
      "id": "head",
      "is_defined": true,
      "label": "Head",
      "chart": {
        "x": 50,
        "y": 6
      }
    },
    {
      "id": "ajna",
      "is_defined": true,
      "label": "Ajna",
      "chart": {
        "x": 50,
        "y": 18
      }
    },
    {
      "id": "throat",
      "is_defined": true,
      "label": "Throat",
      "chart": {
        "x": 50,
        "y": 34
      }
    },
    {
      "id": "g_center",
      "is_defined": true,
      "label": "G Center",
      "chart": {
        "x": 50,
        "y": 50
      }
    },
    {
      "id": "heart",
      "is_defined": true,
      "label": "Heart",
      "chart": {
        "x": 66,
        "y": 42
      }
    },
    {
      "id": "spleen",
      "is_defined": false,
      "label": "Spleen",
      "chart": {
        "x": 34,
        "y": 50
      }
    },
    {
      "id": "solar_plexus",
      "is_defined": true,
      "label": "Solar Plexus",
      "chart": {
        "x": 66,
        "y": 64
      }
    },
    {
      "id": "sacral",
      "is_defined": false,
      "label": "Sacral",
      "chart": {
        "x": 50,
        "y": 68
      }
    },
    {
      "id": "root",
      "is_defined": true,
      "label": "Root",
      "chart": {
        "x": 50,
        "y": 84
      }
    }
  ],
  "channels": [
    {
      "id": "64-47",
      "state": "partial",
      "centers": [
        "head",
        "ajna"
      ],
      "gates": [
        64,
        47
      ]
    },
    {
      "id": "61-24",
      "state": "full",
      "centers": [
        "head",
        "ajna"
      ],
      "gates": [
        61,
        24
      ]
    },
    {
      "id": "63-4",
      "state": "partial",
      "centers": [
        "head",
        "ajna"
      ],
      "gates": [
        63,
        4
      ]
    },
    {
      "id": "17-62",
      "state": "inactive",
      "centers": [
        "ajna",
        "throat"
      ],
      "gates": [
        17,
        62
      ]
    },
    {
      "id": "43-23",
      "state": "partial",
      "centers": [
        "ajna",
        "throat"
      ],
      "gates": [
        43,
        23
      ]
    },
    {
      "id": "11-56",
      "state": "partial",
      "centers": [
        "ajna",
        "throat"
      ],
      "gates": [
        11,
        56
      ]
    },
    {
      "id": "16-48",
      "state": "inactive",
      "centers": [
        "throat",
        "spleen"
      ],
      "gates": [
        16,
        48
      ]
    },
    {
      "id": "20-10",
      "state": "inactive",
      "centers": [
        "throat",
        "g_center"
      ],
      "gates": [
        20,
        10
      ]
    },
    {
      "id": "20-34",
      "state": "inactive",
      "centers": [
        "throat",
        "sacral"
      ],
      "gates": [
        20,
        34
      ]
    },
    {
      "id": "20-57",
      "state": "inactive",
      "centers": [
        "throat",
        "spleen"
      ],
      "gates": [
        20,
        57
      ]
    },
    {
      "id": "31-7",
      "state": "partial",
      "centers": [
        "throat",
        "g_center"
      ],
      "gates": [
        31,
        7
      ]
    },
    {
      "id": "8-1",
      "state": "full",
      "centers": [
        "throat",
        "g_center"
      ],
      "gates": [
        8,
        1
      ]
    },
    {
      "id": "33-13",
      "state": "partial",
      "centers": [
        "throat",
        "g_center"
      ],
      "gates": [
        33,
        13
      ]
    },
    {
      "id": "35-36",
      "state": "inactive",
      "centers": [
        "throat",
        "solar_plexus"
      ],
      "gates": [
        35,
        36
      ]
    },
    {
      "id": "12-22",
      "state": "partial",
      "centers": [
        "throat",
        "solar_plexus"
      ],
      "gates": [
        12,
        22
      ]
    },
    {
      "id": "45-21",
      "state": "full",
      "centers": [
        "throat",
        "heart"
      ],
      "gates": [
        45,
        21
      ]
    },
    {
      "id": "5-15",
      "state": "inactive",
      "centers": [
        "sacral",
        "g_center"
      ],
      "gates": [
        5,
        15
      ]
    },
    {
      "id": "14-2",
      "state": "partial",
      "centers": [
        "sacral",
        "g_center"
      ],
      "gates": [
        14,
        2
      ]
    },
    {
      "id": "29-46",
      "state": "inactive",
      "centers": [
        "sacral",
        "g_center"
      ],
      "gates": [
        29,
        46
      ]
    },
    {
      "id": "42-53",
      "state": "inactive",
      "centers": [
        "sacral",
        "root"
      ],
      "gates": [
        42,
        53
      ]
    },
    {
      "id": "3-60",
      "state": "partial",
      "centers": [
        "sacral",
        "root"
      ],
      "gates": [
        3,
        60
      ]
    },
    {
      "id": "9-52",
      "state": "inactive",
      "centers": [
        "sacral",
        "root"
      ],
      "gates": [
        9,
        52
      ]
    },
    {
      "id": "27-50",
      "state": "inactive",
      "centers": [
        "sacral",
        "spleen"
      ],
      "gates": [
        27,
        50
      ]
    },
    {
      "id": "59-6",
      "state": "inactive",
      "centers": [
        "sacral",
        "solar_plexus"
      ],
      "gates": [
        59,
        6
      ]
    },
    {
      "id": "34-10",
      "state": "inactive",
      "centers": [
        "sacral",
        "g_center"
      ],
      "gates": [
        34,
        10
      ]
    },
    {
      "id": "34-57",
      "state": "inactive",
      "centers": [
        "sacral",
        "spleen"
      ],
      "gates": [
        34,
        57
      ]
    },
    {
      "id": "57-10",
      "state": "inactive",
      "centers": [
        "spleen",
        "g_center"
      ],
      "gates": [
        57,
        10
      ]
    },
    {
      "id": "32-54",
      "state": "partial",
      "centers": [
        "spleen",
        "root"
      ],
      "gates": [
        32,
        54
      ]
    },
    {
      "id": "28-38",
      "state": "partial",
      "centers": [
        "spleen",
        "root"
      ],
      "gates": [
        28,
        38
      ]
    },
    {
      "id": "18-58",
      "state": "partial",
      "centers": [
        "spleen",
        "root"
      ],
      "gates": [
        18,
        58
      ]
    },
    {
      "id": "44-26",
      "state": "inactive",
      "centers": [
        "spleen",
        "heart"
      ],
      "gates": [
        44,
        26
      ]
    },
    {
      "id": "40-37",
      "state": "inactive",
      "centers": [
        "heart",
        "solar_plexus"
      ],
      "gates": [
        40,
        37
      ]
    },
    {
      "id": "49-19",
      "state": "full",
      "centers": [
        "solar_plexus",
        "root"
      ],
      "gates": [
        49,
        19
      ]
    },
    {
      "id": "39-55",
      "state": "partial",
      "centers": [
        "root",
        "solar_plexus"
      ],
      "gates": [
        39,
        55
      ]
    },
    {
      "id": "41-30",
      "state": "partial",
      "centers": [
        "root",
        "solar_plexus"
      ],
      "gates": [
        41,
        30
      ]
    },
    {
      "id": "51-25",
      "state": "inactive",
      "centers": [
        "heart",
        "g_center"
      ],
      "gates": [
        51,
        25
      ]
    }
  ],
  "gates": [
    {
      "center_id": "g_center",
      "gate": 1,
      "owners": {
        "design": [
          {
            "base": 5,
            "color": 1,
            "degree": 226.163098,
            "line": 4,
            "planet": "Pluto",
            "tone": 4
          }
        ],
        "personality": [
          {
            "base": 4,
            "color": 6,
            "degree": 225.089392,
            "line": 2,
            "planet": "Pluto",
            "tone": 5
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "ajna",
      "gate": 4,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 5,
            "color": 6,
            "degree": 142.545547,
            "line": 4,
            "planet": "Sun",
            "tone": 3
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "throat",
      "gate": 8,
      "owners": {
        "design": [
          {
            "base": 4,
            "color": 1,
            "degree": 54.545546,
            "line": 1,
            "planet": "Sun",
            "tone": 2
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "sacral",
      "gate": 14,
      "owners": {
        "design": [
          {
            "base": 4,
            "color": 1,
            "degree": 234.545546,
            "line": 1,
            "planet": "earth",
            "tone": 2
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 19,
      "owners": {
        "design": [
          {
            "base": 5,
            "color": 5,
            "degree": 310.254745,
            "line": 3,
            "planet": "North Node",
            "tone": 5
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "heart",
      "gate": 21,
      "owners": {
        "design": [
          {
            "base": 2,
            "color": 5,
            "degree": 12.995119,
            "line": 4,
            "planet": "Venus",
            "tone": 3
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "solar_plexus",
      "gate": 22,
      "owners": {
        "design": [
          {
            "base": 4,
            "color": 4,
            "degree": 348.448958,
            "line": 2,
            "planet": "Mars",
            "tone": 2
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "throat",
      "gate": 23,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 4,
            "color": 5,
            "degree": 51.469063,
            "line": 3,
            "planet": "Mars",
            "tone": 4
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "ajna",
      "gate": 24,
      "owners": {
        "design": [
          {
            "base": 1,
            "color": 3,
            "degree": 37.994718,
            "line": 1,
            "planet": "Mercury",
            "tone": 3
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "throat",
      "gate": 31,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 2,
            "color": 4,
            "degree": 127.240473,
            "line": 6,
            "planet": "South Node",
            "tone": 4
          },
          {
            "base": 1,
            "color": 1,
            "degree": 122.107016,
            "line": 1,
            "planet": "Venus",
            "tone": 5
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "throat",
      "gate": 33,
      "owners": {
        "design": [
          {
            "base": 5,
            "color": 5,
            "degree": 130.254745,
            "line": 3,
            "planet": "South Node",
            "tone": 5
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 38,
      "owners": {
        "design": [
          {
            "base": 2,
            "color": 2,
            "degree": 284.350595,
            "line": 6,
            "planet": "Neptune",
            "tone": 1
          }
        ],
        "personality": [
          {
            "base": 2,
            "color": 6,
            "degree": 282.190562,
            "line": 3,
            "planet": "Neptune",
            "tone": 2
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 39,
      "owners": {
        "design": [
          {
            "base": 4,
            "color": 1,
            "degree": 99.571084,
            "line": 1,
            "planet": "Jupiter",
            "tone": 3
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 41,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 2,
            "color": 4,
            "degree": 307.240473,
            "line": 6,
            "planet": "North Node",
            "tone": 4
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "throat",
      "gate": 45,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 5,
            "color": 1,
            "degree": 78.899292,
            "line": 3,
            "planet": "Moon",
            "tone": 1
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "ajna",
      "gate": 47,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 3,
            "color": 5,
            "degree": 169.51045,
            "line": 3,
            "planet": "Mercury",
            "tone": 1
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "solar_plexus",
      "gate": 49,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 5,
            "color": 6,
            "degree": 322.545547,
            "line": 4,
            "planet": "earth",
            "tone": 3
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 54,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 3,
            "color": 1,
            "degree": 289.853471,
            "line": 6,
            "planet": "Saturn",
            "tone": 2
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "throat",
      "gate": 56,
      "owners": {
        "design": [],
        "personality": [
          {
            "base": 2,
            "color": 2,
            "degree": 119.430656,
            "line": 4,
            "planet": "Jupiter",
            "tone": 4
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 58,
      "owners": {
        "design": [
          {
            "base": 4,
            "color": 4,
            "degree": 279.180061,
            "line": 6,
            "planet": "Uranus",
            "tone": 6
          }
        ],
        "personality": [
          {
            "base": 2,
            "color": 2,
            "degree": 275.967776,
            "line": 3,
            "planet": "Uranus",
            "tone": 3
          }
        ],
        "transit": []
      }
    },
    {
      "center_id": "root",
      "gate": 60,
      "owners": {
        "design": [
          {
            "base": 5,
            "color": 6,
            "degree": 299.079615,
            "line": 3,
            "planet": "Moon",
            "tone": 2
          }
        ],
        "personality": [],
        "transit": []
      }
    },
    {
      "center_id": "head",
      "gate": 61,
      "owners": {
        "design": [
          {
            "base": 4,
            "color": 5,
            "degree": 295.246772,
            "line": 5,
            "planet": "Saturn",
            "tone": 5
          }
        ],
        "personality": [],
        "transit": []
      }
    }
  ]
}